[Linux-PowerEdge] How to determine in a script whether firmware updates needed ... using DSU?

Spike_White at Dell.com Spike_White at Dell.com
Wed Dec 9 13:52:40 CST 2015


All,

With DLR it was super-easy to ascertain whether a firmware update was needed or not.  Here's an example:

NEEDED_RAW=`update_firmware |grep "Found firmware which needs to be updated." |wc -l`
NEEDED=`echo $NEEDED_RAW | sed -e 's/^ *//' -e 's/ *$//'`
if [[ $NEEDED = 0 ]]; then
        echo "Firmware is at latest revision..."
        exit
else
        echo "*********************THERE IS A FIRMWARE UPDATE NEEDED************
fi

For instance, suppose you wanted to survey your env to report back to management how up-to-date you are on firmware.

How do you accomplish the equiv in DSU?  A simple  "up-to-date/not up-to-date"  response?

Spike
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.us.dell.com/pipermail/linux-poweredge/attachments/20151209/8eab6651/attachment.html 


More information about the Linux-PowerEdge mailing list